export const GET_PRODUCTS_REQUEST = 'GET_PRODUCTS_REQUEST';
export const GET_PRODUCTS_SUCCESS = 'GET_PRODUCTS_SUCCESS';
export const GET_PRODUCTS_FAILURE = 'GET_PRODUCTS_FAILURE';

export const GET_DETAIL_REQUEST = 'GET_DETAIL_REQUEST';
export const GET_DETAIL_SUCCESS = 'GET_DETAIL_SUCCESS';
export const GET_DETAIL_FAILURE = 'GET_DETAIL_FAILURE';

export const DESTROY_PRODUCTS_REQUEST = 'DESTROY_PRODUCTS_REQUEST';
export const DESTROY_PRODUCTS_SUCCESS = 'DESTROY_PRODUCTS_SUCCESS';
export const DESTROY_PRODUCTS_FAILURE = 'DESTROY_PRODUCTS_FAILURE';

export const GET_REVIEW_REQUEST = 'GET_REVIEW_REQUEST';
export const GET_REVIEW_SUCCESS = 'GET_REVIEW_SUCCESS';
export const GET_REVIEW_FAILURE = 'GET_REVIEW_FAILURE';

export const STORE_REVIEW_REQUEST = 'STORE_REVIEW_REQUEST';
export const STORE_REVIEW_SUCCESS = 'STORE_REVIEW_SUCCESS';
export const STORE_REVIEW_FAILURE = 'STORE_REVIEW_FAILURE';

export const ADD_TO_CART_REQUEST = 'ADD_TO_CART_REQUEST';
export const ADD_TO_CART_SUCCESS = 'ADD_TO_CART_SUCCESS';
export const ADD_TO_CART_FAILURE = 'ADD_TO_CART_FAILURE';

export const GET_CART_REQUEST = 'GET_CART_REQUEST';
export const GET_CART_SUCCESS = 'GET_CART_SUCCESS';
export const GET_CART_FAILURE = 'GET_CART_FAILURE';

export const DESTROY_CART_REQUEST = 'DESTROY_CART_REUQEST';
export const DESTROY_CART_SUCCESS = 'DESTROY_CART_SUCCESS';
export const DESTROY_CART_FAILURE = 'DESTROY_CART_FAILURE';

export const CREATE_TRANSACTION_REQUEST = 'CREATE_TRANSACTION_REUQEST';
export const CREATE_TRANSACTION_SUCCESS = 'CREATE_TRANSACTION_SUCCESS';
export const CREATE_TRANSACTION_FAILURE = 'CREATE_TRANSACTION_FAILURE';

export const UPDATE_REVIEW_REQUEST = 'UPDATE_REVIEW_REUQEST';
export const UPDATE_REVIEW_SUCCESS = 'UPDATE_REVIEW_SUCCESS';
export const UPDATE_REVIEW_FAILURE = 'UPDATE_REVIEW_FAILURE';

export const UPDATE_PAYMENT_REQUEST = 'UPDATE_PAYMENT_REUQEST';
export const UPDATE_PAYMENT_SUCCESS = 'UPDATE_PAYMENT_SUCCESS';
export const UPDATE_PAYMENT_FAILURE = 'UPDATE_PAYMENT_FAILURE';

export const GET_DISCUSION_REQUEST = 'GET_DISCUSION_REUQEST';
export const GET_DISCUSION_SUCCESS = 'GET_DISCUSION_SUCCESS';
export const GET_DISCUSION_FAILURE = 'GET_DISCUSION_FAILURE';

export const POST_DISCUSION_REQUEST = 'POST_DISCUSION_REUQEST';
export const POST_DISCUSION_SUCCESS = 'POST_DISCUSION_SUCCESS';
export const POST_DISCUSION_FAILURE = 'POST_DISCUSION_FAILURE';

export const PUT_DISCUSION_REQUEST = 'PUT_DISCUSION_REUQEST';
export const PUT_DISCUSION_SUCCESS = 'PUT_DISCUSION_SUCCESS';
export const PUT_DISCUSION_FAILURE = 'PUT_DISCUSION_FAILURE';

export const INCERMENT = 'INCERMENT';
export const DECERMENT = 'DECERMENT';

export const ADD_TO_CART = 'ADD_TO_CART';
export const REMOVE_FROM_CART = 'REMOVE_FROM_CART';
export const CLEAR_CART = 'CLEAR_CART';
export const INCREASE_QUANTITY_CART = 'INCREASE_QUANTITY_CART';
export const DECREASE_QUANTITY_CART = 'DECREASE_QUANTITY_CART';
export const GET_TOTAL_CART ='GET_TOTAL_CART'
export const GET_AMOUNT_CART ='GET_AMOUNT_CART'

export const GET_USER_PROFILE_REQUEST = 'GET_USER_PROFILE_REQUEST';
export const GET_USER_PROFILE_SUCCESS = 'GET_USER_PROFILE_SUCCESS';
export const GET_USER_PROFILE_FAILURE = 'GET_USER_PROFILE_FAILURE';

export const GET_HISTORY_BUYER_REQUEST = 'GET_HISTORY_BUYER_REQUEST';
export const GET_HISTORY_BUYER_SUCCESS = 'GET_HISTORY_BUYER_SUCCESS';
export const GET_HISTORY_BUYER_FAILURE = 'GET_HISTORY_BUYER_FAILURE';

export const GET_MYPRODUCTS_REQUEST = 'GET_MYPRODUCTS_REQUEST';
export const GET_MYPRODUCTS_SUCCESS = 'GET_MYPRODUCTS_SUCCESS';
export const GET_MYPRODUCTS_FAILURE = 'GET_MYPRODUCTS_FAILURE';

export const DELETE_MYPRODUCTS_REQUEST = 'DELETE_MYPRODUCTS_REQUEST';
export const DELETE_MYPRODUCTS_SUCCESS = 'DELETE_MYPRODUCTS_SUCCESS';
export const DELETE_MYPRODUCTS_FAILURE = 'DELETE_MYPRODUCTS_FAILURE';

export const NOTIFICATION_SELLER_REQUEST = 'NOTIFICATION_SELLER_REQUEST';
export const NOTIFICATION_SELLER_SUCCESS = 'NOTIFICATION_SELLER_SUCCESS';
export const NOTIFICATION_SELLER_FAILURE = 'NOTIFICATION_SELLER_FAILURE';